function configuration_reporting (instance, widget) {
    "use strict";
    var widgets = widget;



    widget.ReportingWidget = instance.Widget.extend({
        template: 'EiruReporting',
        events: {
            'click .report_action > button': 'clickOnReport',
        },
        reports: [
            {
                title: 'Ventas',
                description: 'Analisis Tributario de ventas',
                action: 'ReportSales'
            },
            {
                title: 'Compras',
                description: 'Analisis Tributario de compras',
                action: 'ReportPurchases'
            }
        ],
        start: function () {
        },

        clickOnReport: function (e) {
            var templateName = this.$el.find(e.target).val();
            this.renderReport(templateName);
        },

        renderReport: function (templateName) {
            var Widget = this.getWidgetFromTemplate(templateName);
            var WidgetInstance = new Widget(this);
            var container = this.$el.find('.oe_form_sheet.oe_form_sheet_width');
            container.find('.report_view').hide({
                effect: 'fade',
                duration: 200,
                complete: function () {
                    WidgetInstance.appendTo(container);
                }
            });
        },

        getWidgetFromTemplate: function (templateName) {
            var widgetName = `${templateName}Widget`;
            return _.pick(widget, widgetName)[widgetName];
        },
    });
}
